# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
#
# Use `pre-commit autoupdate` to update this file.
repos:
  - repo: "https://github.com/pre-commit/pre-commit-hooks"
    rev: v4.4.0
    hooks:
      - id: check-added-large-files
      - id: check-ast
      - id: check-docstring-first
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-shebang-scripts-are-executable
      - id: check-symlinks
      - id: check-vcs-permalinks
      - id: check-toml
#      - id: check-yaml
      - id: destroyed-symlinks
      - id: debug-statements
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: forbid-new-submodules
      - id: fix-encoding-pragma
        args:
          - "--remove"
      - id: mixed-line-ending
        args:
          - "--fix=lf"
      - id: trailing-whitespace
  - repo: "https://github.com/asottile/pyupgrade"
    rev: v3.3.0
    hooks:
      - id: pyupgrade
  - repo: "https://github.com/asottile/add-trailing-comma"
    rev: v2.3.0
    hooks:
      - id: add-trailing-comma
        args: [--py36-plus]
  - repo: "https://github.com/PyCQA/isort"
    rev: 5.10.1
    hooks:
      - id: isort
  - repo: "https://github.com/psf/black"
    rev: 22.10.0
    hooks:
      - id: black
